
SELECT
	NOT EXISTS (
		SELECT
			ad_id
		FROM
			action_params
		WHERE
			name = 'cleared_by'
			AND value = '<%%cleared_by%>'
	) AND EXISTS (
		SELECT
			*
		FROM
			ads
		WHERE
			ad_id = <%%cleared_by%>
	) AND NOT EXISTS (
		SELECT
			*
		FROM
			action_params
		WHERE
			ad_id = <%%cleared_by%>
			AND name = 'cleared_by'
	);
